AbstractUrlMappingInfo (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.mapping
[Java] Class AbstractUrlMappingInfo

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.AbstractUrlMappingInfo

All Implemented Interfaces:
  UrlMappingInfo

    @java.lang.SuppressWarnings({"rawtypes", "unchecked"})
    public abstract class AbstractUrlMappingInfo
    extends java.lang.Object

Abstract super class providing pass functionality for configuring a UrlMappingInfo.

Authors:
  Graeme Rocher

Since:
  1.2

Method Summary
`void` | `configure(GrailsWebRequest webRequest)`
`protected java.lang.String` | `evaluateNameForValue(java.lang.Object value)`
`protected java.lang.String` | `evaluateNameForValue(java.lang.Object value, GrailsWebRequest webRequest)`
`java.util.Map` | `getParams()`
`java.lang.Object` | `getRedirectInfo()` The redirect information should be a String or a Map.
`protected void` | `populateParamsForMapping(GrailsWebRequest webRequest)` Populates request parameters for the given UrlMappingInfo instance using the GrailsWebRequest
`void` | `setParams(java.util.Map newParams)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### configure

    public void configure(GrailsWebRequest webRequest)

### evaluateNameForValue

    protected java.lang.String evaluateNameForValue(java.lang.Object value)

### evaluateNameForValue

    protected java.lang.String evaluateNameForValue(java.lang.Object value, GrailsWebRequest webRequest)

### getParams

    public java.util.Map getParams()

### getRedirectInfo

    public java.lang.Object getRedirectInfo()

  The redirect information should be a String or a Map. If it is a String that string is the URI to redirect to. If it is a Map, that Map may contain any entries supported as arguments to the dynamic redirect(Map) method on a controller.
  Returns:
    redirect information for this url mapping, null if no redirect is specified

### populateParamsForMapping

    protected void populateParamsForMapping(GrailsWebRequest webRequest)

  Populates request parameters for the given UrlMappingInfo instance using the GrailsWebRequest
  Parameters:
    `webRequest` - The Map instance
  See Also:
    GrailsWebRequest

### setParams

    public void setParams(java.util.Map newParams)

Groovy Documentation